> ## Documentation Index
> Fetch the complete documentation index at: https://aircaps.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get RTTM

> The segments of a completed diarization as an RTTM file (one `SPEAKER` line per segment), the format diarization scoring tools read.



## OpenAPI

````yaml GET /v1/diarizations/{id}/rttm
openapi: 3.1.0
info:
  title: AirCaps AI API
  version: 1.0.0
  description: >-
    Speech-to-text: A5S Async v1 (REST; English, Spanish, French, German,
    Portuguese, Hindi, Japanese, Korean and Chinese) and A5S Small V2 Streaming
    (WebSocket; English). Speaker diarization: AirCaps Diarization-v1 (REST).
    Speaker identification: AirCaps Speaker ID-v1 (REST, synchronous).
servers:
  - url: https://api.aircaps.com
security:
  - bearerAuth: []
tags:
  - name: Transcripts
  - name: Diarizations
  - name: Speakers
  - name: Files
  - name: Account
paths:
  /v1/diarizations/{id}/rttm:
    get:
      tags:
        - Diarizations
      summary: Get RTTM
      description: >-
        The segments of a completed diarization as an RTTM file (one `SPEAKER`
        line per segment), the format diarization scoring tools read.
      operationId: getDiarizationRttm
      parameters:
        - name: id
          in: path
          required: true
          description: Diarization ID.
          schema:
            type: string
            example: dia_01k72p0x9h6t3b8r1n4m7q2w5e
      responses:
        '200':
          description: RTTM as text.
          content:
            text/plain:
              schema:
                type: string
              example: >
                SPEAKER dia_01k72p0x9h6t3b8r1n4m7q2w5e 1 0.480 5.640 <NA> <NA>
                speaker_0 <NA> <NA>
        '401':
          description: 'Missing or invalid API key. Codes: `unauthorized`.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: authentication_error
                  code: unauthorized
                  message: invalid API key
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '403':
          description: >-
            The account may not do this. Codes: `account_suspended`,
            `account_disabled`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: permission_error
                  code: account_disabled
                  message: this account is disabled
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '404':
          description: 'Not found. Codes: `not_found`.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: invalid_request_error
                  code: not_found
                  message: diarization not found
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '409':
          description: 'The diarization is not completed. Codes: `diarization_not_ready`.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: invalid_request_error
                  code: diarization_not_ready
                  message: diarization is processing
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '500':
          description: >-
            Server error. Safe to retry (use the same Idempotency-Key). Codes:
            `internal_error`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: api_error
                  code: internal_error
                  message: internal error
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
        '503':
          description: >-
            Temporarily unavailable. Retry after the Retry-After interval.
            Codes: `service_unavailable`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  type: api_error
                  code: service_unavailable
                  message: temporarily unavailable; please retry
                  param: null
                  request_id: req_01k6z3m4q8w7e5r2t1y0u9i8o7
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - rate_limit_error
                - api_error
            code:
              type: string
              description: Machine-readable code; see [Errors](/errors).
            message:
              type: string
            param:
              type:
                - string
                - 'null'
              description: The request field at fault, if any.
            request_id:
              type:
                - string
                - 'null'
              description: >-
                Also in the `x-request-id` header. Include it when contacting
                support. `null` on 502/504 from the edge.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Your API key: `Authorization: Bearer aircaps_sk_...`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.